Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class CreateAdmissionType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CreateAdmissionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CreateAdmissionType extends Object implements Serializable

Java class for CreateAdmissionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateAdmissionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Admission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AdmissionType"/>
             <element name="IsMigrated" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}IsMigratedType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateAdmissionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdmissionType`
  `getAdmission()`
  Informatie betreffende de opname
  `Boolean`
  `isIsMigrated()`
  Aanduiding of het al dan niet om een migratiedossier gaat.
  `void`
  `setAdmission(AdmissionType value)`
  Sets the value of the admission property.
  `void`
  `setIsMigrated(Boolean value)`
  Sets the value of the isMigrated property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateAdmissionType

    public CreateAdmissionType()

- ## Method Details

  - ### getAdmission

    public AdmissionType getAdmission()
    Informatie betreffende de opname
    Returns:
      possible object is `AdmissionType`

  - ### setAdmission

    public void setAdmission(AdmissionType value)
    Sets the value of the admission property.
    Parameters:
      `value` - allowed object is `AdmissionType`
    See Also:
      - `getAdmission()`

  - ### isIsMigrated

    public Boolean isIsMigrated()
    Aanduiding of het al dan niet om een migratiedossier gaat. Indien de eigenlijke startdatum van deze opname valt voor 01/01/2019 is dit een migratiedossier.
    Returns:
      possible object is `Boolean`

  - ### setIsMigrated

    public void setIsMigrated(Boolean value)
    Sets the value of the isMigrated property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsMigrated()`